version: "3.7"

volumes:
  histoiredunpied-log-volume:
    name: histoiredunpied-log-volume
  histoiredunpied-stats:
    name: histoiredunpied-stats

services:
  # histoiredunpied-autopush:
  #   container_name: histoiredunpied-autopush
  #   image: registry.weko.io/autopush
  #   restart: always
  #   depends_on:
  #     - histoiredunpied
  #   environment:
  #     GIT_USER: ${GIT_USER}
  #     GIT_URL: ${GIT_URL}
  #     GIT_REPOSITORY: ${GIT_REPOSITORY}
  #     DOWNLOAD_URL: ${DOWNLOAD_URL}
  #     WEBDAV_URL: ${WEBDAV_URL}
  #   labels:
  #     com.centurylinklabs.watchtower.enable: true
  #   volumes:
  #     - /etc/timezone:/etc/timezone:ro
  #     - /etc/localtime:/etc/localtime:ro

  histoiredunpied-logs:
    container_name: histoiredunpied-logs
    image: registry.weko.io/goaccess
    restart: always
    # depends_on:
    #   - histoiredunpied-autopush
    volumes:
      - histoiredunpied-log-volume:/var/log/nginx
      - histoiredunpied-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    labels:
      com.centurylinklabs.watchtower.enable: true

  histoiredunpied:
    container_name: histoiredunpied
    image: registry.weko.io/histoiredunpied
    restart: always
    volumes:
      - histoiredunpied-log-volume:/var/log/nginx
      - histoiredunpied-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    labels:
      traefik.enable: "true"

      traefik.http.routers.histoiredunpied.rule: "Host(`histoiredunpied.com`)"
      traefik.http.routers.histoiredunpied.entrypoints: "web"

      com.centurylinklabs.watchtower.enable: true
networks:
  default:
    external:
      name: traefik
